package com.web.api.dao;

import com.web.api.model.dto.AnswerDto;
import com.web.api.model.po.AnswerRecord;
import com.web.api.model.po.UserInfo;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

/**
 * @author 王玉鹏
 */

public interface AnswerDao {

    int save(@Param("user") UserInfo user, @Param("answer")AnswerDto answerDto);

    Map<String,Object> queryAnwserInfo(String jobNo);

    int updatePassRecord(UserInfo userInfo);

    int deletePassRecord(int id);

    String getSafeCode();

    List<AnswerRecord> queryAnwserRecord(@Param("startDate") String startDateTime, @Param("endDate")String endDateTime);

    List<Map<String,Object>> queryBlacklist(String jobNo);

    int insertBlackList(Map map);

    int updateBlackList(Map map);
}
