package com.web.api.exception;


/**
 * Created by Administrator on 2020/3/29.
 */
public enum ErrorCode {

    TIME_Limit(10001,"答题时间已用尽"),
    RESULT_EMPTY(10002,"结果为空"),
    SORCE_LIMT(10003,"已到达自定义分数上限"),
    LEVEL_NOT_UNLOCKED(10004,"当前管卡未解锁"),
    STOP_ANSWER(10005,"结束刷题"),
    PASSWORD_ERROR(10006,"账号或密码错误"),
    LOGOUT(10007,"账号已在其他设备登录，请重新登录"),
    PARAM_EMPTY(10008,"参数不正确"),
    GK_EMPTY(10009,"获取当前用户关卡失败"),
    COOKIE_PAST_DUE(10010,"当前登陆登陆已过期，请重新登陆"),
    SAFE_CODE_ERROR(10011,"安全码错误"),
    STOP_All_ANSWER(10012,"终止所有用户答题"),
    USER_INFO_ERROR(10013,"页面错误！请稍后再试"),
    USERS_EMPTY(10009,"获取当前用户信息失败"),
    ;

    private int  code;
    private String  name;

    ErrorCode(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
