package com.web.api.model.dto;

import lombok.Data;
import lombok.ToString;

/**
 * @author 王玉鹏
 * @version 1.0
 * @className AnswerDto
 * @description  答题请求实体类
 * @date 2020/7/9 19:35
 */
@Data
@ToString
public class AnswerDto {
    /**工号*/
    private String jobNo;
    /**难度等级*/
    private int level;
    /**工种id*/
    private int jobTypeId;
    /**关卡初始id*/
    private int jobGkId;
    /**工种名称*/
    private String jobTypeName;
    /**目标分数*/
    private int targetScore;
    /**批量答题标识*/
    private Boolean batchFlag;
}
