package com.web.api.service;


import com.web.api.model.po.AnswerJob;

import java.util.List;

/**
 * AnswerJob的服务接口
 * 
 * @author 
 *
 */
public interface AnswerJobService {
	/**
	 * 获得AnswerJob数据集,可以通过辅助工具Assist进行条件查询,如果没有条件则传入null
	 * 
	 * @return
	 */
	List<AnswerJob> find(AnswerJob value);
	
	/**
	 * 通过AnswerJob的id获得AnswerJob对象
	 * 
	 * @param id
	 * @return
	 */
	AnswerJob findOne(Integer id);
	
	/**
	 * 将AnswerJob中属性值不为null的数据到数据库
	 * 
	 * @param answerJob
	 * @return
	 */
	int saveNotNull(AnswerJob answerJob);
	
	/**
	 * 通过AnswerJob的id更新AnswerJob中属性不为null的数据
	 * 
	 * @param answerJob
	 * @return
	 */
	int updateNotNullById(AnswerJob answerJob);
	
	/**
	 * 通过AnswerJob的id删除AnswerJob
	 * 
	 * @param id
	 * @return
	 */
	int deleteById(Integer id);
}
