package com.web.api.controller.answer.croe;

/**
 * <pre>
 * 名称: HttpEntityType
 * 描述: TODO
 * </pre>
 *
 * @author Ryan Chen
 * @since 1.0.0
 */
public enum HttpEntityType {

    //ENTITY_FILE("FileEntity"),

    BYTE_ARRAY("BYTE_ARRAY"),

    // ENTITY_INPUT_STREAM("ENTITY_INPUT_STREAM"),

    //ENTITY_SERIALIZABLE("SerializableEntity"),

    // ENTITY_MULTIPART("MultipartEntity"),

    URL_ENCODED_FORM("URL_ENCODED_FORM"),

    APPLICATION_XML("application/xml"),

    APPLICATION_JSON("application/json"),

    TEXT_PLAIN("text/plain");

    private String contentType;

    private HttpEntityType(String contentType) {
        this.contentType = contentType;
    }

    public String getContentType() {
        return contentType;
    }
}
