import com.web.api.controller.answer.croe.HttpEntityType;
import com.web.api.controller.answer.croe.HttpRequestConfig;
import com.web.api.utils.HttpClientUtils;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class ChatBot3 {
    private static final String API_ENDPOINT = "https://api.openai.com/v1/completions";
    private static final String API_KEY = "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";

    public static void main(String[] args) throws Exception {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

        System.out.println("您好，我是 ChatBot，请问有什么可以帮助您的吗？");

        while (true) {
            System.out.print("> ");
            String input = reader.readLine().trim();

            if (input.isEmpty()) {
                continue;
            }
            String response =  getResponse(input);
            System.out.println("ChatBot: " + response);
        }
    }

    private static String getResponse(String input) throws Exception {
        String data = "{"
                + "\"prompt\": \"" + input + "\","
                + "\"model\": \"text-davinci-003"+ "\","
                + "\"max_tokens\": 7" +
                ","
                + "\"temperature\": 0.7"
                + "}";

        URL url = new URL(API_ENDPOINT);
        HttpURLConnection connection = (HttpURLConnection) url.openConnection();
        connection.setRequestMethod("POST");
        connection.setRequestProperty("Content-Type", "application/json");
        connection.setRequestProperty("Authorization", "Bearer " + API_KEY);
        connection.setDoOutput(true);

        byte[] postData = data.getBytes();
        connection.getOutputStream().write(postData);

        BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
        String line;
        StringBuilder response = new StringBuilder();
        while ((line = reader.readLine()) != null) {
            response.append(line);
        }
        reader.close();

        return response.toString();
    }
    private static String getHttpRes(String input) throws Exception {
        HttpRequestConfig answerConfig = HttpRequestConfig.create().url(API_ENDPOINT);
        answerConfig.addHeader("Content-Type", "application/json");
        answerConfig.addHeader("Authorization", "Bearer " + API_KEY);
        answerConfig.httpEntityType(HttpEntityType.APPLICATION_JSON);
        String data = "{"
                + "\"prompt\": \"" + input + "\","
                + "\"model\": \"text-davinci-003"+ "\","
                + "\"max_tokens\": 7" +
                ","
                + "\"temperature\": 0"
                + "}";
        answerConfig.body(data);
        System.out.println("me: " + data);
        String response =  HttpClientUtils.post(answerConfig).getResponseText();
        return response;
    }
}
